## openalsrc

openalsrc — Input audio through OpenAL

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstOpenalSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstAudioSrc
                                    ╰── GstOpenalSrc

## Description

## Synopsis

### Element Information

plugin | openal
author | Juan Manuel Borges Caño <juanmabcmail@gmail.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string)U8, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Functions

## Types and Values

### struct GstOpenalSrc

    struct GstOpenalSrc;

## Property Details

### The `“device”` property

      “device”                   gchar *

User device, default device if NULL.

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the device.

Flags: Read

Default value: NULL